#
# spec file for package rubygem-cool.io
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-cool.io
Version:        1.7.1
Release:        1.13
%define mod_name cool.io
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://coolio.github.com
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Source2:        rubygem-cool.io-rpmlintrc
Source3:        gem2rpm.yml
Summary:        A cool framework for doing high performance I/O in Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Cool.io provides a high performance event framework for Ruby which uses the
libev C library.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.7.1
  see installed CHANGES.md
  1.7.1
  - ----
  * Set fallback local loopback address by default for Windows environment
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.7.0
  see installed CHANGES.md
  1.7.0
  - ----
  * Fix extension build failure for ruby3
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.6.1
  see installed CHANGES.md
  1.6.1
  - ----
  * Fix warning for recent compilers
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.0
  see installed CHANGES.md
  1.6.0
  - ----
  * Add ruby 2.6/2.7 to windows gem
  * Drop ruby 2.1/2.2/2.3 from windows gem
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.5.4
  see installed CHANGES.md
  1.5.4
  - ----
  * Add ruby 2.5 to windows gem
* Sun Dec  3 2017 coolo@suse.com
- updated to version 1.5.3
  see installed CHANGES.md
  1.5.3
  - ----
  * Fix invalid IOWatcher's rb_funcall that causes ArgumentError with ruby 2.5 and clang
  1.5.2
  - ----
  * Fix invalid TimerWatcher's rb_funcall that causes ArgumentError with ruby 2.5 and clang
* Sun Sep  3 2017 coolo@suse.com
- updated to version 1.5.1
  see installed CHANGES.md
* Wed Apr 19 2017 coolo@suse.com
- updated to version 1.5.0
  see installed CHANGES.md
  1.5.0
  - ----
  * Update libev to 4.24
* Wed Jan 25 2017 coolo@suse.com
- updated to version 1.4.6
  see installed CHANGES.md
* Fri Nov 25 2016 wolfgang.engel@suse.com
- Adding rpmlintrc for ignoring devel files
* Sat Oct  8 2016 coolo@suse.com
- updated to version 1.4.5
  see installed CHANGES.md
  1.4.5
  - ----
  * Increase FD_SETSIZE to 1024 on Windows
* Wed Sep 21 2016 wolfgang.engel@suse.com
- Initial package
